Bug 177212 - [PATCH] net/nss_ldap: options ng
Summary: [PATCH] net/nss_ldap: options ng
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-21 22:20 UTC by William Grzybowski
Modified: 2013-05-17 14:51 UTC (History)
0 users

See Also:


Attachments
nss_ldap.patch (893 bytes, patch)
2013-03-21 22:20 UTC, William Grzybowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description William Grzybowski 2013-03-21 22:20:00 UTC
	Convert to options ng
	Trim makefile header

Fix: See attached patch
Comment 1 Edwin Groothuis freebsd_committer 2013-03-21 22:20:07 UTC
Maintainer of net/nss_ldap,

Please note that PR ports/177212 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/177212

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-03-21 22:20:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 William Grzybowski freebsd_committer 2013-05-15 22:12:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-05-17 14:47:19 UTC
Author: wg
Date: Fri May 17 13:47:11 2013
New Revision: 318383
URL: http://svnweb.freebsd.org/changeset/ports/318383

Log:
  - Convert to OptionsNG
  - Trim Makefile header
  
  PR:		ports/177212
  Submitted by:	wg (myself)
  Approved by:	culot (mentor), maintainer (timeout, > 4 weeks)

Modified:
  head/net/nss_ldap/Makefile

Modified: head/net/nss_ldap/Makefile
==============================================================================
--- head/net/nss_ldap/Makefile	Fri May 17 13:44:44 2013	(r318382)
+++ head/net/nss_ldap/Makefile	Fri May 17 13:47:11 2013	(r318383)
@@ -1,9 +1,5 @@
-# Ports collection Makefile for:	nss_ldap
-# Date created:				4/1/2003
-# Whom:					nectar@FreeBSD.org
-#
+# Created by: Jacques Vidrine <nectar@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	nss_ldap
 PORTVERSION=	1.${NSS_LDAP_VERSION}
@@ -26,7 +22,10 @@ USE_AUTOTOOLS=	automake aclocal autoconf
 USE_LDCONFIG=	yes
 USE_OPENLDAP=	yes
 
-OPTIONS=	LCLASS "Enable login classes via the loginClass attribute" on
+OPTIONS_DEFINE=	LCLASS KERBEROS
+OPTIONS_DEFAULT=LCLASS KERBEROS
+
+LCLASS_DESC=	Enable login classes via the loginClass attribute
 
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib -Wl,-rpath,${LOCALBASE}/lib
@@ -40,12 +39,13 @@ MAN5=	nss_ldap.5
 
 SUB_FILES=	pkg-message
 
-.include <bsd.port.pre.mk>
-.if !defined(WITHOUT_KERBEROS)
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MKERBEROS}
 CONFIGURE_ARGS+=--enable-configurable-krb5-ccname-env
 .endif
 
-.if defined(WITH_LCLASS)
+.if ${PORT_OPTIONS:MLCLASS}
 CFLAGS+="-DHAVE_LOGIN_CLASSES"
 .endif
 
@@ -82,4 +82,4 @@ post-install:
 	@${CAT} ${PKGMESSAGE}
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 William Grzybowski freebsd_committer 2013-05-17 14:51:53 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!